

var app = angular.module('myApp', []);



app.controller('ROIController',['$scope','$http', function($scope, $http) {
  
    $( document ).ready(function() {

        // sliders
        $(function() {
            const cssClasses = [
            //   'rangeslider--is-lowest-value',
            //   'rangeslider--is-highest-value'
            ];
            
            $('input[type=range]')
              .rangeslider({
                polyfill: false
              })
              .on('input', function() {
                const fraction = (this.value - this.min) / (this.max - this.min);
                if (fraction === 0) {
                  this.nextSibling.classList.add(cssClasses[0]);
                } else if (fraction === 1) {
                  this.nextSibling.classList.add(cssClasses[1]);
                } else {
                  this.nextSibling.classList.remove(...cssClasses)
                }
              });
          });
        

          // round slider
        $("#slider").roundSlider({
            width: 22,
            radius: 150,
            value: 100,
            handleShape: "dot",
            startAngle: 88,
            lineCap: "round",
            sliderType: "min-range",
            max: "1000",
            showTooltip: false,
			change: tooltipVal,

            tooltipFormat: function (e) {
                $scope.numTech = e.value;
                $scope.initializeFunc();
                //  $scope.savingsTot = e.value;
              }
        });

		$(".rs-handle").prop({"data-toggle": "tooltip", "data-placement":"top","title":"# of technician/FSEs - "+$scope.numTech});
		
		if (screen.width <= 425) {
	
                $(".nexthead").addClass("dsplynone");
			 }else{
	
	       $(window).scroll(function() {
			var scroll = $(window).scrollTop();		
			
			if (scroll > 10) {
				$(".nrml_header").addClass("flowstyle");
				//$(".nexthead").removeClass("dsplynone");
			
			$(".imghd").removeClass("dsplynone");
			$(".imgsw").addClass("dsplynone");
			$(".varx").removeClass("colorwt");
			$(".varx").addClass("colorblk");
			$(".clrblue").addClass("clrblue1");
			//$(".rsrc").removeClass("underlinewt");
			//$(".rsrc").addClass("underlineblk");
			$(".loginbrdr").attr("src","images/afterscrollline.png");
			
			}else{
				$(".nrml_header").removeClass("flowstyle");
				//$(".nexthead").addClass("dsplynone");
			$(".imghd").addClass("dsplynone");
			$(".imgsw").removeClass("dsplynone");
			$(".varx").addClass("colorwt");
			$(".varx").removeClass("colorblk");
			$(".clrblue").removeClass("clrblue1");
			//$(".rsrc").removeClass("underlineblk");
			//$(".rsrc").addClass("underlinewt");
			$(".loginbrdr").attr("src","images/loginline.png");
			}
			
		
		
		
		});
	
	
	      }
	
	      console.log(window.location.pathname);
	var url = window.location.pathname
	var filename = url.substring(url.lastIndexOf('/')+1);
	console.log(filename);
	if(filename == "resources.html" || filename == "ucg-newzeland-snapsupport-realtime-support-collaboration.html" || filename == "Push-based-predictive-customer-support.html"){
		
		
		$(".rsrc").addClass("underlinewt");
	}
		$("#menuRes").click(function () {
			$("#menuResDrop").slideDown();
			$(this).hide();
			$("#menuResClose").show();
		});
	
		$("#menuResClose").click(function () {
			$("#menuResDrop").slideUp();
			$(this).hide();
			$("#menuRes").show();
		});
		  
		  
		  
		  
		  
		  
		  
		  
		  
	    
	
	
 

    });
    

    
  

    
    
    $scope.showDiv = function(divEl,txtEl){
        $(txtEl).text($(txtEl).text() == 'Hide details' ? 'show details' : 'Hide details');
        $(divEl).toggle(500);
    }
	
	 function tooltipVal(){
		$(".rs-handle").prop({"data-toggle": "tooltip", "data-placement":"top","title":"# of technician/FSEs - "+$scope.numTech});            
	}

      // input values
      $scope.rTech = 40;    // B3
      $scope.rExpert = 60;  // B4
      $scope.rIT = 60;      // B5
      $scope.numTech = 50; // E12
      $scope.numJob = 1;     // B8
      $scope.helpPm = 20;            // B9
      $scope.helpTimeSaved = 15;     // B11
      $scope.tripsElimIssue = 20;    // B12
      $scope.tripCost = 500;         // B14
      $scope.expertTimeSaved = 15;   // B15
      $scope.techTimeSaved = 0;     // B18   
      $scope.fmTimeSaved = 0;       // B19
      $scope.numReport = 0;        // B20
      
      // costs 
      $scope.licenseFee = 25;  // B23
      $scope.timePl = 0.1;     // B24
     

    // calculations

    //   $scope.initializeFunc();
    $scope.initializeFunc = function(){
        issuesPerMonth();
        issuesAvoidedPerMonth();
        timeSavedperTech();
        tripCostSavedperTech();
        expertTimeSaveFunc();
        reporting_time();
        cost_savedPt();
        expert_savingPm();
        admin_savingPm();
        saving_total();
        subscriptionCostsFunc();
        snapSupportAdmin();
        monthly_savingsFunc();
        ROIcalc();
    }

    $(function() {
        $scope.$apply(function () {
            $scope.initializeFunc();
        });
        
    });

    // B10
    function issuesPerMonth(){
        // B8 * 20 * B9
       $scope.issuesPm = ($scope.numJob * 20 * $scope.helpPm) / 100;
       //console.log( $scope.issuesPm);
    }

    // B13
    function issuesAvoidedPerMonth(){
        // B12 * B10 old 
        // B8 * 20 * B12 new updated
        $scope.tripsAvoidedPm = ($scope.numJob * 20 * $scope.tripsElimIssue) / 100;
       //console.log( $scope.tripsAvoidedPm);       
    }

    

    // E2
    function timeSavedperTech(){
        // B10 * ( B11/60 )
        $scope.tsperTech = $scope.issuesPm * ( $scope.helpTimeSaved / 60 );
        //console.log($scope.tsperTech);
    }

    // E3
    function tripCostSavedperTech(){
        // B13 * B14
        $scope.tcspm = $scope.tripsAvoidedPm *  $scope.tripCost;
        //console.log($scope.tcspm);
    }

    // E4
    function expertTimeSaveFunc(){
        // B10 * ( B15/60 )
        $scope.etspm = $scope.issuesPm *  ($scope.expertTimeSaved / 60) ;
        //console.log($scope.etspm);
    }

    // E5
    function reporting_time(){
        // B20 * 20 *( B19/60 ) + ( E12 * 20 * ( B18/60 ) )
       $scope.reportTimeSaved = $scope.numReport * 20 * ( $scope.fmTimeSaved / 60 ) + ( $scope.numTech * 20 * ( $scope.techTimeSaved / 60) );
        //console.log($scope.reportTimeSaved);
    }

    // E7
    function cost_savedPt(){
        // ( E2 * B3 ) + E3
        $scope.totCostSaved = ( $scope.tsperTech * $scope.rTech ) + $scope.tcspm;
        //console.log($scope.totCostSaved);        
    }

    // E8
    function expert_savingPm(){
        // (E4*B4)
        $scope.expertSavTot = $scope.etspm * $scope.rExpert;
        //console.log($scope.expertSavTot);        
    }

    // E9
    function admin_savingPm(){
        // E5*B4
        $scope.adminSavTot = Math.floor( $scope.reportTimeSaved * $scope.rExpert );
        //console.log($scope.adminSavTot);           
    }

    // E13
    function saving_total(){
        // E7*E12+E8*E12+E9
            $scope.savingsTot = Math.floor( $scope.totCostSaved * $scope.numTech +  $scope.expertSavTot * $scope.numTech +  $scope.adminSavTot); 
            //console.log( $scope.savingsTot);              
    }

    // E16
    function subscriptionCostsFunc(){
        // E12 * B23
        $scope.subscriptionCost = $scope.numTech * $scope.licenseFee;
        //console.log($scope.subscriptionCost);
    }

     // E17
     function snapSupportAdmin(){
        // B24 * E12 * B5
        $scope.adminCost = $scope.timePl * $scope.numTech * $scope.rIT;
        //console.log($scope.adminCost);
    }

    // E19 E21
    function monthly_savingsFunc(){
        // E13-E16-E17
            $scope.tempSaving = $scope.savingsTot -  $scope.subscriptionCost - $scope.adminCost; 
            $scope.monthlySavings =  $scope.tempSaving.toLocaleString();
            $scope.annualSavings = ( $scope.tempSaving * 12).toLocaleString();
        
        //console.log( $scope.monthlySavings, $scope.annualSavings);              
    }

    // E20
    function ROIcalc(){
        // ( E19 / ( E16+E17 ) )
        $scope.ROIval = Math.floor(  $scope.tempSaving / ($scope.subscriptionCost +  $scope.adminCost) * 100 );
        //console.log($scope.ROIval);
    }

    


}]);



